summaryrefslogtreecommitdiff
path: root/ar/.local/bin
diff options
context:
space:
mode:
Diffstat (limited to 'ar/.local/bin')
-rwxr-xr-xar/.local/bin/mounter6
-rwxr-xr-xar/.local/bin/statusbar/sb-forecast4
2 files changed, 5 insertions, 5 deletions
diff --git a/ar/.local/bin/mounter b/ar/.local/bin/mounter
index e62f61b..54b6eb5 100755
--- a/ar/.local/bin/mounter
+++ b/ar/.local/bin/mounter
@@ -91,7 +91,7 @@ rawdisks="$(echo "$lsblkoutput" | awk '
' | sed "s/^/💾 /" | filter)"
# Get all available IP addresses with open Samba shares in the wlan0 subnet, excluding eth0 IP
-smbips="$(sudo arp-scan --interface=eth0 --interface=wlan0 --localnet | grep -vEi '(EFM Networks|DUP:)' | awk '/^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+/{print $1}')"
+smbips="$(sudo arp-scan --interface=eth0 --interface=wlan0 --localnet 2>/dev/null | grep -vEi '(EFM Networks|DUP:)' | awk '/^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+/{print $1}')"
# Get currently mounted CIFS shares
mountedsmbs="$(grep 'cifs' /etc/mtab)"
@@ -109,7 +109,7 @@ username=$(whoami)
password=$(pass show default/mac)
EOF
)
- smb=$(
+ linux=$(
smbclient -L "$smbip" -U% -A /dev/stdin <<EOF 2>/dev/null | awk '/Disk/ {print $1}' | grep -vEi '(ADMIN|\w)\$|Macintosh'
username=$(whoami)
password=$(pass show default/default)
@@ -129,7 +129,7 @@ EOF
if ! echo "$smbshares" | grep -q "$share"; then
smbshares+="//$smbip/$share"$'\n'
fi
- done <<<"$smb"
+ done <<<"$linux"
done
smbshares="$(echo "$smbshares" | sed '/^$/d')"
diff --git a/ar/.local/bin/statusbar/sb-forecast b/ar/.local/bin/statusbar/sb-forecast
index af3c7fd..d2b49a8 100755
--- a/ar/.local/bin/statusbar/sb-forecast
+++ b/ar/.local/bin/statusbar/sb-forecast
@@ -7,7 +7,7 @@
locationfile="${XDG_CACHE_HOME:-${HOME}/.cache}/statusbar/location"
if [ ! -s "$locationfile" ] || [ $(($(date +%s) - $(stat -c %Y "$locationfile" 2>/dev/null || echo 0))) -gt 86400 ]; then
mkdir -p "${XDG_CACHE_HOME:-${HOME}/.cache}/statusbar"
- curl -s http://ip-api.com/json 2>/dev/null | jq -r '[.regionName, .countryCode] | join(",")' > "$locationfile" 2>/dev/null || true
+ curl -s http://ip-api.com/json 2>/dev/null | jq -r '[.regionName, .countryCode] | join(",")' >"$locationfile" 2>/dev/null || true
fi
location=$(cat "$locationfile" 2>/dev/null || echo "")
@@ -17,7 +17,7 @@ weatherreportjson="${XDG_CACHE_HOME:-${HOME}/.cache}/weatherreport.json"
error() {
rm -f "$weatherreport" "$weatherreportjson"
- notify-send "⛔ Failed to update 'weather$1'"
+ # notify-send "⛔ Failed to update 'weather$1'"
echo "❓"
exit 1
}